/**
 * Copyright (c) 2024 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once

#define DAWN_GAME_NAME "Dawn"
#define DAWN_GAME_NAME_U8 u8"Dawn"

#include <vector>
#include <iostream>
#include <thread>
#include <map>
#include <array>
#include <memory>
#include <algorithm>
#include <sstream>
#include <string>
#include <functional>
#include <cstdarg>
#include <cstdint>
#include <cstring>
#include <float.h>

// #define GLM_ENABLE_EXPERIMENTAL
// #include <glm/glm.hpp>
// #include <glm/gtc/type_ptr.hpp>
// #include <glm/gtx/matrix_decompose.hpp>

typedef char char_t;
typedef char8_t u8char_t;
typedef float float_t;
typedef double double_t;
typedef bool bool_t;