// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "Scene.hpp"

using namespace Dawn;

Scene::Scene(std::weak_ptr<Game> game) : SceneItem(
  std::weak_ptr<SceneItem>(),
  std::enable_shared_from_this<Scene>::weak_from_this()
) {
  this->game = game;
}

void Scene::active() {
  auto itItems = items.begin();
}

void Scene::inactive() {

}

bool_t Scene::isActiveScene() {
  auto g = game.lock();
  if(g == nullptr) return false;
  return g->getCurrentScene() == this->getScene();
}

Scene::~Scene() {
  
}